/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 1002 $
 * $Date: 2020-04-10 23:31:24 +0200 (Fri, 10 Apr 2020) $
 */
package at.lcm.bu21.general.dtypes.editor.icons;

import javax.swing.ImageIcon;

/**
 * Editor Icons
 * 
 * @author Christoph Halbmayr
 */
public class IconEditor {

	/** Package of icons */
	private static final String pack = "/" + IconEditor.class.getPackage().getName().replace('.', '/') + "/";

	/** Icon for Add Buttons */
	public final static ImageIcon ICON_ADD = new ImageIcon(IconEditor.class.getResource(IconEditor.pack + "Add.png"));
	/** Icon for Generator Button */
	public final static ImageIcon ICON_GENERATOR = new ImageIcon(
			IconEditor.class.getResource(IconEditor.pack + "Generator.png"));

	/** Icon for Open Button */
	public final static ImageIcon ICON_IMPORT = new ImageIcon(
			IconEditor.class.getResource(IconEditor.pack + "Open.png"));

	/** Icon for Open Selection Button */
	public final static ImageIcon ICON_OpenSelection = new ImageIcon(
			IconEditor.class.getResource(IconEditor.pack + "OpenSelection.png"));

	/** Icon for Printer Button */
	public final static ImageIcon ICON_PRINTER = new ImageIcon(
			IconEditor.class.getResource(IconEditor.pack + "Printer.png"));

	/** Icon for Remobe Button */
	public final static ImageIcon ICON_REMOVE = new ImageIcon(
			IconEditor.class.getResource(IconEditor.pack + "Remove.png"));

	/** Icon for Save Button */
	public final static ImageIcon ICON_SAVE = new ImageIcon(IconEditor.class.getResource(IconEditor.pack + "Save.png"));

	/** Icon for Spectrum Plot Button */
	public final static ImageIcon ICON_SPECTRUM = new ImageIcon(
			IconEditor.class.getResource(IconEditor.pack + "Spectrum.png"));

	/** Icon for SubPlot Plot Button */
	public final static ImageIcon ICON_SUBPLOT = new ImageIcon(
			IconEditor.class.getResource(IconEditor.pack + "SubPlot.png"));

	/** Icon for Selection Up Button */
	public final static ImageIcon ICON_UP = new ImageIcon(IconEditor.class.getResource(IconEditor.pack + "Up.png"));

	/** Icon for XY Plot Button */
	public final static ImageIcon ICON_XYPLOT = new ImageIcon(
			IconEditor.class.getResource(IconEditor.pack + "xyPlot.png"));

}
