"""
Created on 10.08.2016 14:01

@author: kkaspar
"""

import numpy as np


def array_like_to_float(var, var_name):
    """
    Turns an array_like input variable into a float
    Parameters
    ----------
    var : array_like
    var_name : string

    Returns
    -------
    float
    """
    from lcm.utils.common_fnc.type_fnc import is_array_like
    if is_array_like(var):
        if len(var) == 1:
            return float(var[0])
        else:
            raise ValueError('Input parameter', var_name, 'cannot be an array with length > 1')
    else:
        return float(var)


def is_empty(array):
    """
    Checks if the input array of type list, tuple or numpy.ndarray is empty

    Parameters
    ----------
    array : array_like

    Returns
    -------
    bool
        True if array_like object is empty else False
    """
    if isinstance(array, list) or isinstance(array, tuple):
        if not array:
            return True
        else:
            return False
    elif isinstance(array, np.ndarray):
        return not bool(array.size)
    else:
        raise Exception('input parameter: array, needs to be of type list or numpy.ndarray')
