/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9715 $
 * $Date: 2020-03-19 10:01:15 +0100 (Thu, 19 Mar 2020) $
 */
package at.lcm.symspace.center.utils.simulate;

import java.awt.BorderLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.WindowConstants;

import at.lcm.bu21.magopt.structure.simulate.SimulateAll;
import at.lcm.bu21.magopt.structure.simulate.SimulateEvent;
import at.lcm.bu21.magopt.structure.simulate.SimulateListener;

public class SimulateAllGui extends JDialog implements SimulateListener {

	/** Serialization version number */
	private static final long serialVersionUID = 1L;

	private boolean close = false;

	private SimulateAll sim;

	private SimulateView view;

	public SimulateAllGui(SimulateAll sim, JFrame parent) {
		super(parent);

		this.sim = sim;

		this.setTitle("Simulate all");
		this.setDefaultCloseOperation(WindowConstants.DO_NOTHING_ON_CLOSE);
		// this.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
		this.addWindowListener(new WindowAdapter() {

			@Override
			public void windowClosing(WindowEvent e) {
				if (SimulateAllGui.this.sim.isStart()) {
					SimulateAllGui.this.close = true;
					SimulateAllGui.this.sim.stop();
				} else {
					SimulateAllGui.this.dispose();
				}
			}
		});

		this.view = new SimulateView(sim);

		this.setLayout(new BorderLayout());
		this.add(this.view);

		this.setModal(true);
		// this.setAlwaysOnTop(true);
		sim.addSimulateListener(this);

		this.setSize(400, 200);
		this.setLocationByPlatform(true);
		this.setVisible(true);

	}

	@Override
	public void simulateChanged(SimulateEvent event) {
		switch (event.getType()) {
		case STOPPED:
			if (this.close) {
				// this.setVisible(false);
				this.dispose();
			}
			break;
		}

	}
}
