/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 9714 $
 * $Date: 2020-03-19 09:37:13 +0100 (Thu, 19 Mar 2020) $
 */
package magopt.utils;

import java.io.IOException;

/**
 * Save not allowed
 * 
 * @author Werner Koppelsttter
 */
public class SaveNotAlloowedException extends IOException {

	/**
	 * Serialization version number
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructs an {@code SaveNotAlloowedException} with {@code null} as its
	 * error detail message.
	 */
	public SaveNotAlloowedException() {
		super();
	}

	/**
	 * Constructs an {@code SaveNotAlloowedException} with the specified detail
	 * message.
	 * 
	 * @param message
	 *            The detail message (which is saved for later retrieval by the
	 *            {@link #getMessage()} method)
	 */

	public SaveNotAlloowedException(String message) {
		super(message);
	}

	/**
	 * Constructs an {@code SaveNotAlloowedException} with the specified detail
	 * message and cause.
	 * 
	 * <p>
	 * Note that the detail message associated with {@code cause} is <i>not</i>
	 * automatically incorporated into this exception's detail message.
	 * 
	 * @param message
	 *            The detail message (which is saved for later retrieval by the
	 *            {@link #getMessage()} method)
	 * 
	 * @param cause
	 *            The cause (which is saved for later retrieval by the
	 *            {@link #getCause()} method). (A null value is permitted, and
	 *            indicates that the cause is nonexistent or unknown.)
	 */
	public SaveNotAlloowedException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * Constructs an {@code SaveNotAlloowedException} with the specified cause
	 * and a detail message of {@code (cause==null ? null : cause.toString())}
	 * (which typically contains the class and detail message of {@code cause}).
	 * This constructor is useful for IO exceptions that are little more than
	 * wrappers for other throwables.
	 * 
	 * @param cause
	 *            The cause (which is saved for later retrieval by the
	 *            {@link #getCause()} method). (A null value is permitted, and
	 *            indicates that the cause is nonexistent or unknown.)
	 */
	public SaveNotAlloowedException(Throwable cause) {
		super(cause);
	}

}
