/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 10128 $
 * $Date: 2021-03-10 11:08:49 +0100 (Wed, 10 Mar 2021) $
 */
package at.lcm.symspace.rest.param;

import at.lcm.bu21.magopt.structure.Component;
import at.lcm.bu21.magopt.structure.ParamContainer;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.QueryParam;
import jakarta.ws.rs.core.MediaType;

@Path("component")
public class RESTComponent extends RESTParameter {

	private Component getComponent(String projectId, String pid) {
		return ((ParamContainer) getParameter(projectId, pid)).getComponent();
	}

	@GET
	@Produces(MediaType.TEXT_PLAIN)
	public String toString(@QueryParam("projectid") String projectId, @QueryParam("pid") String pid) {
		return getComponent(projectId, pid).toString();
	}

}
