/*
 * This file is part of SyMSpace.
 * 
 * Copyright(c)2020,Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 * 
 * This program is free software; you can redistribute it and/or modify it under 
 * the terms of the GNU General Public License, version 2.0 (GPLv2), as published 
 * by the Free Software Foundation.
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY 
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A 
 * PARTICULAR PURPOSE. See the GNU General Public License, version 2.0, for more 
 * details.
 * The GPLv2 can be found in the licenses folder as gpl-2.0.txt.
 * 
 * $Revision: 10128 $
 * $Date: 2021-03-10 11:08:49 +0100 (Wed, 10 Mar 2021) $
 */
package at.lcm.symspace.rest.param;

import java.util.HashMap;

import org.json.simple.JSONObject;

import at.lcm.bu21.magopt.structure.Project;
import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.QueryParam;
import jakarta.ws.rs.core.MediaType;

@Path("project")
public class RESTProject extends RESTContainer { // implements IProject {

	private Project getProject(String projectId, String pid) {
		return (Project) getParameter(projectId, pid);
	}

	@GET
	@Path("file")
	@Produces(MediaType.APPLICATION_JSON)
	public String getMopFile(@QueryParam("projectid") String projectId, @QueryParam("pid") String pid) {
		HashMap<String, Object> map = new HashMap<String, Object>();

		map.put("file", getProject(projectId, pid).getMopFile().toURI().toString());

		return JSONObject.toJSONString(map);
	}

//	@GET
//	@Produces(MediaType.APPLICATION_JSON)
//	public String getProjectURL() {
//		return "{ \"Project1\": \"" + Main.BASE_URI + "project/" + Main.project.getPId() + "\"}";
//	}

//	@Override
//	public void close() throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public boolean isWriteProtected() throws RemoteException {
//		// TODO Auto-generated method stub
//		return false;
//	}
//
//	@Override
//	public void save() throws RemoteException, Exception {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public void saveAs(String file) throws RemoteException, Exception {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public void saveAs(String file, boolean override) throws RemoteException, Exception {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public void saveAs(File file) throws RemoteException, Exception {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public void saveAs(File file, boolean override) throws RemoteException, Exception {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public String getDSComment() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public void setDSComment(String comment) throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public IEventLog getEventLog() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public String getFile() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public IReportParameter getReportParameter() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public double getGuiHandle() throws RemoteException {
//		// TODO Auto-generated method stub
//		return 0;
//	}
//
//	@Override
//	public void setGuiHandle(double guiHandle) throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public String[] getAllDSComment() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public MopFile getMopFile() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public void check() throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public void duplicate() throws RemoteException, CloneException, IOException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public void reduce() throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public int regenerate(Map<String, Object> args) throws RemoteException {
//		// TODO Auto-generated method stub
//		return 0;
//	}
//
//	@Override
//	public File getAllFilesDirectory() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public File getFilesDirectory() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public void resetAllFunctions() throws RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public IProject extractIndex(int index, File file) throws Exception, RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
//
//	@Override
//	public void restartJep() throws InterruptedException, ExecutionException, RemoteException {
//		// TODO Auto-generated method stub
//
//	}
//
//	@Override
//	public IProject getClientImpl() throws RemoteException {
//		// TODO Auto-generated method stub
//		return null;
//	}
}
